#pragma once
#include "Mod.h"

class WTap : public Mod {
public:
	int mode = 0;
	WTap() : Mod(Datas::Language::get().module.ghost.wtap.name, Datas::Language::get().module.ghost.wtap.description, Category::GHOST) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1.f), new int(0), 1, {
			_("Legit"),
			_("Silent")
			}, true, 50.f });
		
		enabled = false;
	}


private:
	bool unsprint, sprint;
	virtual auto onAttack(Actor& actor) -> void override;
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto onPacketSendBefore(Packet* packet) -> void override;
};
